Gtk2::Statusbar(3)

NAME
Gtk2::Statusbar - wrapper for GtkStatusbar

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Statusbar

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  widget = Gtk2::Statusbar->new

  integer = $statusbar->get_context_id ($context_description)

•   $context_description (string)

  boolean = $statusbar->get_has_resize_grip

  $statusbar->set_has_resize_grip ($setting)

•   $setting (boolean)

  widget = $statusbar->get_message_area
Since: gtk+ 2.20

  $statusbar->pop ($context_id)

•   $context_id (integer)

  integer = $statusbar->push ($context_id, $text)

•   $context_id (integer)

•   $text (string)

  $statusbar->remove ($context_id, $message_id)

•   $context_id (integer)

•   $message_id (integer)

  $statusbar->remove_all ($context_id)

•   $context_id (integer)

Since: gtk+ 2.22

PROPERTIES

'has-resize-grip' (boolean : default true : readable / writable / private)
    Whether the statusbar has a grip for resizing the toplevel

STYLE PROPERTIES

'shadow-type' (Gtk2::ShadowType : default "in" : readable / private)
    Style of bevel around the statusbar text

SIGNALS

text-popped (Gtk2::Statusbar, Glib::UInt, string)
text-pushed (Gtk2::Statusbar, Glib::UInt, string)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.